import { exit } from "node:process";
import args from "./args.js";
export default function crashHandler(msg, e, res) {
    console.error(`${msg}: ${e.name}`);
    if (args.verbose) {
        console.error(`--BEGIN FULL ERROR--\n${e}\n${res}\n--END FULL ERROR--`);
    }
    else
        console.error("Run with -v to see the full error.");
    exit(1);
}
//# sourceMappingURL=crashHandler.js.map