#!/usr/bin/env node
import getLocalImage from "./getLocalImage.js";
import getRemoteImage from "./getRemoteImage.js";
import getConfig from "./helpers/getConfig.js";
async function main() {
    const conf = await getConfig();
    if (conf.remote)
        await getRemoteImage(conf);
    else
        await getLocalImage(conf);
}
if (Number(process.versions.node.split(".")[0]) < 16) {
    console.error("Please upgrade to node 16. NO GUARENTEES!");
}
main();
//# sourceMappingURL=bot.js.map